Mailinglist Archive: opensuse-buildservice (266 mails)

< Previous Next >
[opensuse-buildservice] build script does not support rpm v4.6
  • From: Anas Nashif <nashif@xxxxxxxxxxxxxxx>
  • Date: Mon, 24 Nov 2008 11:04:01 -0500
  • Message-id: <492AD071.2070403@xxxxxxxxxxxxxxx>
Hi,
To make the build script and workers work with rpm 4.6 I had to do this small modification, which is probably not generic enough and does not cover all cases, but worksfor me.


Anas


--- build.old 2008-11-21 15:25:23.000000000 -0800
+++ build 2008-11-21 15:26:00.000000000 -0800
@@ -1003,7 +1003,7 @@ for SPECFILE in "${SPECFILES[@]}" ; do
# now clean up RPM building directories
#
rm -rf $BUILD_ROOT$TOPDIR
- for i in BUILD RPMS/`arch` RPMS/i386 RPMS/noarch SOURCES SPECS SRPMS ; do
+ for i in BUILD RPMS/`arch` RPMS/i386 RPMS/noarch SOURCES SPECS SRPMS BUILDROOT ; do
mkdir -p $BUILD_ROOT$TOPDIR/$i
test $BUILD_USER = abuild && chown 99:99 $BUILD_ROOT$TOPDIR/$i
done
@@ -1089,7 +1089,7 @@ for SPECFILE in "${SPECFILES[@]}" ; do
fi
rpmbuild=rpmbuild

- test -x $BUILD_ROOT/usr/lib/rpm/rpmi || rpmbuild=rpm
+ #test -x $BUILD_ROOT/usr/lib/rpm/rpmi || rpmbuild=rpm
# su involves a shell which would require even more
# complicated quoting to bypass than this
toshellscript $rpmbuild \
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages